[meta-openstack][Patch] tgt: update DEPENDS and RDEPENDS


kai
 

From: Kai Kang <kai.kang@...>

Update DEPENDS and RDEPENDS of tgt to fix error and warning:

| bs_aio.c:34:10: fatal error: libaio.h: No such file or directory
| 34 | #include <libaio.h>
| | ^~~~~~~~~~

and

| WARNING: tgt-1.0.79+gitAUTOINC+b43dbc6711-r0 do_package_qa: QA Issue:
| /usr/sbin/tgt-admin contained in package tgt requires /usr/bin/perl,
| but no providers found in RDEPENDS_tgt? [file-rdeps]

Signed-off-by: Kai Kang <kai.kang@...>
---
meta-openstack/recipes-support/tgt/tgt_git.bb | 3 ++-
1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/meta-openstack/recipes-support/tgt/tgt_git.bb b/meta-openstack/recipes-support/tgt/tgt_git.bb
index ddec8c4..5242dd5 100644
--- a/meta-openstack/recipes-support/tgt/tgt_git.bb
+++ b/meta-openstack/recipes-support/tgt/tgt_git.bb
@@ -2,7 +2,7 @@ DESCRIPTION = "Linux SCSI target framework (tgt)"
HOMEPAGE = "http://stgt.sourceforge.net"
LICENSE = "GPLv2"
LIC_FILES_CHKSUM = "file://scripts/tgtd.spec;beginline=7;endline=7;md5=21c19ea7dad04648b9c2f791b6e29b4c"
-DEPENDS = "sg3-utils"
+DEPENDS = "sg3-utils libaio"

SRCREV = "b43dbc6711e43c0a32cc4d9df22884841d911d51"
PV = "1.0.79+git${SRCPV}"
@@ -58,6 +58,7 @@ RDEPENDS_${PN} = " \
bash \
libaio \
libconfig-general-perl \
+ perl \
perl-module-english \
perl-module-tie-hash-namedcapture \
perl-module-xsloader \
--
2.20.1

Join meta-virtualization@lists.yoctoproject.org to automatically receive all group messages.